Skip to main content

private/fiat/fiat-create-withdraw

POST 

/private/fiat/fiat-create-withdraw

Creates a new fiat withdrawal request for the authenticated user.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/fiat/fiat-create-withdraw"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    client_wid string

    Possible values: <= 36 characters

    Optional client withdrawal ID. (Max 36 chars) Recommended for correlation.

    account_id stringrequired

    Linked bank account ID (UUID format); use id from private/fiat/fiat-get-bank-accounts response.

    amount decimalrequired

    Withdrawal amount as string.

    currency stringrequired

    Currency code (3-letter format).

    payment_network stringrequired

    Payment network identifier.

    intermediate_bank object
    Only required for usd_swift. Intermediary bank information will update the bank intermediate bank info if provided. Please check with your bank for the correct information.
    bank_identifier_type string

    Type of bank identifier (e.g., SWIFT, ROUTING)

    bank_identifier_value string

    Bank identifier value

    bank_name string

    Name of the intermediary bank.

    address_1 string

    Bank address line 1

    address_2 string

    Bank address line 2

    beneficiary_id string

    Beneficiary ID (optional)

    authorization_id string

    Authorization ID (optional)

    bank_identifier_value string

    Only available to aed_ipi. Bank identifier value for the AED network.

    account_identifier_value string

    Only available to aed_ipi. Account identifier value for the AED network.

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. Withdrawal result per docs.
    id stringrequired

    System-generated withdrawal ID

    client_wid string

    Client withdrawal ID (echoed from request if provided)

    account_id string

    Linked bank account ID for the withdrawal

    status stringrequired

    Withdrawal status (e.g., pending)

    payment_network stringrequired

    Payment network identifier

    currency stringrequired

    Currency code

    amount decimalrequired

    Withdrawal amount (string for precision).

    amount_in_usd decimal

    Withdrawal amount converted to USD (string for precision).

    fee_currency stringrequired

    Currency of the withdrawal fee

    fee_amount decimalrequired

    Withdrawal fee amount (string for precision).

    beneficiary_id string

    Beneficiary identifier

    authorization_id string

    Authorization identifier for the withdrawal

    message string

    Present when code !== 0.

    original string

    Present when code !== 0.